Name:			kmymoney
Summary:		A Personal Finance Manager for KDE5
Summary(de):	Eine persönliche Finanzverwaltung für KDE5
Group:			Graphical desktop/KDE5
URL:			https://github.com/KDE/kmymoney/
License:		GPL
Version:		5.1.3
Release:		%mkrel 6
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

BuildRequires: cmake
BuildRequires: lib64alkimia-devel
BuildRequires: lib64aqbanking-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64gmp-devel
BuildRequires: lib64gmpxx-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gpgme-devel
BuildRequires: lib64gwenhywfar-devel
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kdiagram-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5akonadi-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5holidays-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5identitymanagement-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5kcontacts-devel
BuildRequires: lib64kf5kross-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5webkit-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemmodels-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64ofx-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64sqlcipher-devel

Requires:	perl-Finance-Quote
Requires:   python3-woob
Requires:   qtwebengine5

%description
KMyMoney is a personal finance manager.

KMyMoney is the Personal Finance Manager for KDE5. It operates
similar to Quicken, supports various account types, categorization
of expenses, multiple currencies, online banking support via QIF,
OFX and HBCI, budgeting and a rich set of reports.

%description -l de
KMyMoney ist die persönliche Finanzverwaltung für KDE5. Es arbeitet 
ähnlich wie Quicken, unterstützt verschiedene Kontotypen, Kategorisierung 
von Ausgaben, mehrere Währungen, Online Banking Unterstützung via QIF, 
OFX und HBCI, Budgetierung und eine reiche Sammlung an Berichten.

%package devel
Summary:	Include files and libraries mandatory for development
Summary(de):	Header-Dateien und Entwicklerdateien
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Include files and libraries mandatory for development with package
kmymoney (KDE5).

%description devel -l de
Header-Dateien und Bibliotheken, die für die Enwicklung von kmymony (KDE5)
bezogenen Programmen gebraucht werden.


%prep


%build
pushd %_sourcedir
wget -nc http://download.kde.org/stable/kmymoney/%{version}/src/kmymoney-%{version}.tar.xz

tar -xJf kmymoney-%{version}.tar.xz -C %_builddir

popd

pushd %_builddir/kmymoney-%{version}

%cmake_kf5 -DENABLE_WEBENGINE=ON

%make_build

popd

%install
rm -rf %buildroot
pushd %_builddir/kmymoney-%{version}
%make_install -C build

popd

#menu
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Office" \
 --add-category="X-MandrivaLinux-Office-Publishing"\
 --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*


%clean
[ "%{buildroot}" != "/" ] && [ -d "%{buildroot}" ] && %__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_datadir}/doc/HTML
%{_datadir}/icons
%{_datadir}/kmymoney/templates
%{_datadir}/kservices5
#%{_datadir}/kservicetypes5
%{_datadir}/kxmlgui5
%{_datadir}/kmymoney/html
%{_datadir}/kmymoney/misc
%{_datadir}/kmymoney/pics
%{_datadir}/checkprinting

%{_datadir}/metainfo/org.kde.kmymoney.appdata.xml
%{_datadir}/mime/packages/x-kmymoney.xml
#%{_datadir}/weboob/weboob.py
%{_datadir}/applications/org.kde.kmymoney.desktop
%{_datadir}/config.kcfg/kmymoney.kcfg
%{_datadir}/kconf_update/kmymoney.upd

%{_datadir}/kmymoney/tips
%{_mandir}

%{_libdir}/qt5/plugins/kmymoney

%{_bindir}/kmymoney

%{_libdir}/libkmm_mymoney.so.*
%{_libdir}/libkmm_payeeidentifier.so.*
%{_libdir}/libkmm_plugin.so.*
%{_libdir}/libkmm_widgets.so.*
%{_libdir}/libkmm_csvimportercore.so.*
%{_libdir}/libkmm_icons.so.*
%{_datadir}/kmymoney/icons/
%{_datadir}/locale

%{_libdir}/libkmm_menus.so.*
%{_libdir}/libkmm_models.so.*
%{_libdir}/libkmm_settings.so.*
%{_libdir}/libkmm_printer.so.*
%{_libdir}/qt5/plugins/sqldrivers/qsqlcipher.so

%{_datadir}/config.kcfg/kbanking.kcfg
%{_datadir}/kbanking/qml/chipTan/ChipTan.qml
%{_datadir}/kbanking/qml/chipTan/ChipTanFlickerField.qml
%{_datadir}/kbanking/qml/chipTan/chipTan.js
%{_datadir}/kbanking/qml/chipTan/positionmarker.svg
   
%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libkmm_plugin.so
%{_libdir}/libkmm_mymoney.so
%{_libdir}/libkmm_payeeidentifier.so
%{_libdir}/libkmm_widgets.so
%{_libdir}/libkmm_csvimportercore.so
%{_libdir}/libkmm_icons.so
%{_libdir}/libkmm_menus.so
%{_libdir}/libkmm_models.so
%{_libdir}/libkmm_settings.so
%{_libdir}/libkmm_printer.so

%changelog
* Sat Apr 22 2023 tex - 5.1.3-6pclos2023
- rebuild against updates

* Mon Mar 20 2023 tex - 5.1.4-5pclos2023
- build with webengine

* Thu Mar 16 2023 tex - 5.1.3-4pclos2023
- rebuild against updates

* Mon Sep 19 2022 tex - 5.1.3-3pclos2022
- rebuild against updates

* Sun Aug 21 2022 tex - 5.1.3-2pclos2022
- rebuild against updates

* Sat Jul 30 2022 tex - 5.1.3-1pclos2022
- new version

* Sat Jul 31 2021 tex - 5.1.2-2pclos2021
- rebuild against updates

* Thu Jun 24 2021 tex - 5.1.2-1pclos2021
- new version

* Sun Dec 20 2020 tex - 5.1.1-1pclos2021
- new version

* Sun Jun 14 2020 tex - 5.1.0-1pclos2020
- new

* Mon Jan 20 2020 tex - 5.0.8-1pclos2020
- new version

* Sun Sep 22 2019 tex - 5.0.7-1pclos2019
- new version

* Mon Aug 19 2019 tex - 5.0.6-1pclos2019
- new version

* Wed Jul 10 2019 tex - 5.0.5-1pclos2019
- new version

* Tue Apr 22 2019 tex - 5.0.4-1pclos2019
- new

* Wed Feb 06 2019 tex - 5.0.3-2pclos2019
- rebuild against updates

* Sat Feb 02 2019 tex - 5.0.3-1pclos2019
- new version

